You are not logged in.

#2326 2013-10-08 08:21:47

horsemanoffaith
Member
Registered: 2013-05-10
Posts: 132

Re: Progress on Unity under Arch Linux!

If you update to Gnome 3.10, you WILL break Unity. I cannot log into Arch using Unity. LightDM works just fine, but as soon as you hit enter, you get a black screen, then you're right back to LightDM (sometimes after a minute or so). I had to install Cinnamon (my next favorite DE) on my Arch system to get up and going again. Not knowing how to correct this issue or how to help correct it, please let us know, Chen, when you've got the issue solved and have updated packages in the Unity-For-Arch repos. I don't mind Cinnamon, but I really want my Unity system back!!! On an unrelated question, I really liked the login manager in Linux Mint 15 (the one based on HTML5). Is that something that I can install and use with my Arch system?

Offline

#2327 2013-10-08 12:11:00

gcarq
Member
From: Austria
Registered: 2013-10-07
Posts: 38

Re: Progress on Unity under Arch Linux!

@horsemanoffaith
I had the same issue after upgrading to Gnome 3.10.
As a workaround you can login to TTY and downgrade all gnome packages from 3.10 to 3.8.

Offline

#2328 2013-10-08 14:00:54

Slovenijakp
Member
Registered: 2013-05-03
Posts: 13

Re: Progress on Unity under Arch Linux!

I don't think you have to downgrade all gnome packages, just downgrading gnome-desktop made Unity working again for me (however, indicators are broken)

Offline

#2329 2013-10-08 17:26:26

litiales
Member
Registered: 2013-10-08
Posts: 4

Re: Progress on Unity under Arch Linux!

How can i downgrade to gnome-desktop 3.8 from a fresh installation?

Offline

#2330 2013-10-08 17:40:14

Slovenijakp
Member
Registered: 2013-05-03
Posts: 13

Re: Progress on Unity under Arch Linux!

Install downgrade from AUR, then type

$ downgrade gnome-desktop 

and select to search in ARM. Then downgrade to gnome-desktop-1:3.8.4-1-x86_64.pkg.tar.xz.

Offline

#2331 2013-10-08 20:19:18

litiales
Member
Registered: 2013-10-08
Posts: 4

Re: Progress on Unity under Arch Linux!

Ok, I've downgraded to 3.8.3 (3.8.4 was not available). Now it logs in and shows me the desktop but as soon as it has loaded the bar on the top of the screen it kicks me back to he login shell. How can I solve it?

Offline

#2332 2013-10-09 01:36:31

horsemanoffaith
Member
Registered: 2013-05-10
Posts: 132

Re: Progress on Unity under Arch Linux!

Okay, I am now back on Unity.... downgraded to 3.8. My clock/calendar is missing, and there are no icons in my Nautilus menus. Any help?

Offline

#2333 2013-10-09 02:11:46

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

Finally finished getting Unity to work on GNOME 3.10 big_smile Unfortunately, a few things are currently broken:

  • Custom widgets in the indicators don't work (ie. calendar in datetime widget and volume slider in the sound indicator). This requires a GTK 3 patch that hasn't been ported to GTK 3.10 yet.

  • Unity's custom Appearance and Time & Date settings panels in GNOME control center are gone. This has happened with almost every single GNOME release, so it's to be expected. For now, I have enabled the GNOME-versions of those settings panels.

  • The session indicator shows an error icon if your user account doesn't have a picture.

  • Ubuntu Online Accounts does not work, so I've enabled GNOME Online Accounts in Unity instead.

  • Screenshots are currently broken (with gnome-screenshot and ksnapshot). This is probably a bug in Compiz.

  • (Not my fault...:P) The new header bars look like crap outside of gnome-shell.

I wanted to get the updates out today, but all my chroot builds are failing because of a bug in systemd-nspawn and the kernel (https://bugs.freedesktop.org/show_bug.cgi?id=68370). I'll try to work around that by using plain old chroot.

EDIT: I won't be pushing out the update quite yet. The menus for Gimp, Audacity, etc. are not working properly (almost all of the items are greyed and unclickable).

Last edited by chenxiaolong (2013-10-09 02:43:21)


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#2334 2013-10-10 07:45:03

litiales
Member
Registered: 2013-10-08
Posts: 4

Re: Progress on Unity under Arch Linux!

News about Unity for arch?

Offline

#2335 2013-10-10 19:35:06

gianluca.pettinello
Member
Registered: 2013-04-16
Posts: 56

Re: Progress on Unity under Arch Linux!

Not able to compile Unity
Compiled indicator-application removing -Werror
Compiled unity-lens-music removing FLOW
Unity gives me CMake error on LINK_TARGET -Wl, -W......
I'm desperate sad((((

Offline

#2336 2013-10-10 19:39:47

sollidsnake
Member
Registered: 2012-01-30
Posts: 100

Re: Progress on Unity under Arch Linux!

gianluca.pettinello wrote:

Not able to compile Unity
Compiled indicator-application removing -Werror
Compiled unity-lens-music removing FLOW
Unity gives me CMake error on LINK_TARGET -Wl, -W......
I'm desperate sad((((

Try removing the src and pkg folders with

rm -rf src pkg

before compilling


"For with the passing of this hour
Even gods will be devoured"

Offline

#2337 2013-10-10 20:56:58

gianluca.pettinello
Member
Registered: 2013-04-16
Posts: 56

Re: Progress on Unity under Arch Linux!

sollidsnake wrote:
gianluca.pettinello wrote:

Not able to compile Unity
Compiled indicator-application removing -Werror
Compiled unity-lens-music removing FLOW
Unity gives me CMake error on LINK_TARGET -Wl, -W......
I'm desperate sad((((

Try removing the src and pkg folders with

rm -rf src pkg

before compilling

Nope! I found that the problem comes from CMakeLists.txt in unity-shared. the exact error is
CMake Error:
  Error evaluating generator expression:

    $<LINK_ONLY:-Wl,--export-dynamic>

  $<LINK_ONLY> expression requires exactly one parameter.

Any idea?
Do I have something messed up?

Offline

#2338 2013-10-11 03:18:32

sollidsnake
Member
Registered: 2012-01-30
Posts: 100

Re: Progress on Unity under Arch Linux!

gianluca.pettinello wrote:
sollidsnake wrote:
gianluca.pettinello wrote:

Not able to compile Unity
Compiled indicator-application removing -Werror
Compiled unity-lens-music removing FLOW
Unity gives me CMake error on LINK_TARGET -Wl, -W......
I'm desperate sad((((

Try removing the src and pkg folders with

rm -rf src pkg

before compilling

Nope! I found that the problem comes from CMakeLists.txt in unity-shared. the exact error is
CMake Error:
  Error evaluating generator expression:

    $<LINK_ONLY:-Wl,--export-dynamic>

  $<LINK_ONLY> expression requires exactly one parameter.

Any idea?
Do I have something messed up?

I'm not very experienced with C compiling, but it seems you're missing some lib. Did you install using the build-and-install script? My guess is that it may have failed at some point or you left some package behind if you did it manually. But why don't you try installing the binary from the repository?

EDIT: GNOME 3.10 is now in arch official repositories and Unity is not compatible yet with it. I'm not sure if it would keep you from compiling, but it's also a possibility.

Last edited by sollidsnake (2013-10-11 03:21:52)


"For with the passing of this hour
Even gods will be devoured"

Offline

#2339 2013-10-11 17:33:33

gianluca.pettinello
Member
Registered: 2013-04-16
Posts: 56

Re: Progress on Unity under Arch Linux!

sollidsnake wrote:
gianluca.pettinello wrote:
sollidsnake wrote:

Try removing the src and pkg folders with

rm -rf src pkg

before compilling

Nope! I found that the problem comes from CMakeLists.txt in unity-shared. the exact error is
CMake Error:
  Error evaluating generator expression:

    $<LINK_ONLY:-Wl,--export-dynamic>

  $<LINK_ONLY> expression requires exactly one parameter.


Any idea?
Do I have something messed up?

I'm not very experienced with C compiling, but it seems you're missing some lib. Did you install using the build-and-install script? My guess is that it may have failed at some point or you left some package behind if you did it manually. But why don't you try installing the binary from the repository?

EDIT: GNOME 3.10 is now in arch official repositories and Unity is not compatible yet with it. I'm not sure if it would keep you from compiling, but it's also a possibility.

Tried to remove src and pkg without success. Could be linked to CMake version 2.8.12 Anyway I'll try to recompile all the packages. I'll keep you informed. Chen mentioned that it is possible to compile even though the indicators are broken

EDIT: I downgraded cmake from 2.8.12-1 to 2.8.11-2 or something like that and the compilation of unity is flying....
Lucky not to touch /var/cache/pacman/pkg smile

EDIT2: unity compiled. Now working but:
- files lens not working. Solved by copying zeitgeist-fts in usr/lib/zeitgeist and copying org.gnome.zeitgeist.fts.service in /usr/share/dbus-1/services after modifying to point to zeitgeist-fts. Log out and log in and now it works. Ah... the files were taken from ubuntu archive.ubuntu.com/pool/main/z/zeitgeist.

- not able to change backllight anymore ?!?!?!?

- lens application not working but now I'm trying to fix

EDIT3: It seems that unity-lens-applications error is

(unity-scope-loader:22822): GLib-CRITICAL **: g_path_get_basename: assertion 'file_name != NULL' failed
Segmentation fault (core dumped)

Any idea??
Ciao
Gianluca

Last edited by gianluca.pettinello (2013-10-12 20:22:30)

Offline

#2340 2013-10-11 21:57:40

Luminary
Member
Registered: 2012-02-15
Posts: 8

Re: Progress on Unity under Arch Linux!

sollidsnake wrote:
gianluca.pettinello wrote:
sollidsnake wrote:

Try removing the src and pkg folders with

rm -rf src pkg

before compilling

Nope! I found that the problem comes from CMakeLists.txt in unity-shared. the exact error is
CMake Error:
  Error evaluating generator expression:

    $<LINK_ONLY:-Wl,--export-dynamic>

  $<LINK_ONLY> expression requires exactly one parameter.

Any idea?
Do I have something messed up?

I'm not very experienced with C compiling, but it seems you're missing some lib. Did you install using the build-and-install script? My guess is that it may have failed at some point or you left some package behind if you did it manually. But why don't you try installing the binary from the repository?

EDIT: GNOME 3.10 is now in arch official repositories and Unity is not compatible yet with it. I'm not sure if it would keep you from compiling, but it's also a possibility.

Author of build-and-install.sh here, though this is somewhat unrelated, the -e flag will automatically stop if something fails to build and install.

Offline

#2341 2013-10-13 10:15:44

gianluca.pettinello
Member
Registered: 2013-04-16
Posts: 56

Re: Progress on Unity under Arch Linux!

Hi Chen,
do you think vala0.18 is still needed?

Offline

#2342 2013-10-13 14:44:53

bubbathevtog
Member
Registered: 2013-04-12
Posts: 25

Re: Progress on Unity under Arch Linux!

I couldn't tell from the last 6 pages of the forum so I'll just ask, IS IT OK TO UPDATE YET? I see some post say that its good, some say some packages are breaking Unity, some post say that it works but only kinda, all are a few days(week) old. If I was at home I'd just update and live with the consequences, but I'm on the road and can't have a non-working DE. THANKS FOLKS!

Last edited by bubbathevtog (2013-10-13 14:45:36)

Offline

#2343 2013-10-13 18:16:38

horsemanoffaith
Member
Registered: 2013-05-10
Posts: 132

Re: Progress on Unity under Arch Linux!

I wouldn't suggest updating, Bubba. I did the full update about a week ago, and it broke Unity. I downgraded and had bad enough problems that I didn't want to use it. Right now, I'm waiting to update until Chen lets us know he's got things working again. I'm currently using Linux Mint on my laptop- It's not my primary choice, but it works. I still use Unity on Arch on my desktop. I just haven't updated it yet. Once my laptop is back up and running with Unity on Arch and running well, I will update my desktop!

Offline

#2344 2013-10-14 06:03:34

divansantana
Member
Registered: 2011-01-21
Posts: 117

Re: Progress on Unity under Arch Linux!

I excluded all packages that upgrade to 3.10.x which *for me* landed up adding the following to the IgnorePkg list:
IgnorePkg   = baobab cheese eog evince evolution-data-server file-roller gcr gnome-bluetooth gnome-calculator gnome-color-manager gnome-common gnome-contacts gnome-desktop gnome-icon-theme gnome-icon-theme-symbolic gnome-keyring gnome-menus gnome-online-accounts gnome-screenshot gnome-terminal gnome-themes-standard gnome-tweak-tool gtkmm3 gtksourceview3 humanity-icon-theme libgnome-keyring libgweather pygobject-devel python2-gobject python-gobject seahorse simple-scan totem totem-plparser ubuntu-wallpapers vinagre

Updated the rest of the system without an issue so far.

Offline

#2345 2013-10-14 06:33:50

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

Unity is actually working quite well with GNOME 3.10 aside from the fact that some indicator widgets (calendar, volume bar) don't work and that global menus do not work correctly with some programs.

Do you guys want me to push the updates with global menu disabled? Or do you want me to stay with GNOME 3.8 packages until everything works correctly?

Last edited by chenxiaolong (2013-10-14 06:34:03)


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#2346 2013-10-14 10:28:58

qiuwei
Member
Registered: 2009-12-18
Posts: 245

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:

Unity is actually working quite well with GNOME 3.10 aside from the fact that some indicator widgets (calendar, volume bar) don't work and that global menus do not work correctly with some programs.

Do you guys want me to push the updates with global menu disabled? Or do you want me to stay with GNOME 3.8 packages until everything works correctly?

Vote for staying with Gnome 3.8.

Offline

#2347 2013-10-14 16:14:15

horsemanoffaith
Member
Registered: 2013-05-10
Posts: 132

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:

Unity is actually working quite well with GNOME 3.10 aside from the fact that some indicator widgets (calendar, volume bar) don't work and that global menus do not work correctly with some programs.

Do you guys want me to push the updates with global menu disabled? Or do you want me to stay with GNOME 3.8 packages until everything works correctly?


For me, since I cannot even log in to Arch on my laptop, I would prefer to see the updates pushed so I can get back up and functioning with Unity.

Offline

#2348 2013-10-14 17:32:05

gianluca.pettinello
Member
Registered: 2013-04-16
Posts: 56

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:

Unity is actually working quite well with GNOME 3.10 aside from the fact that some indicator widgets (calendar, volume bar) don't work and that global menus do not work correctly with some programs.

Do you guys want me to push the updates with global menu disabled? Or do you want me to stay with GNOME 3.8 packages until everything works correctly?

Indeed I update to gnome 3.10 and the indicators are working. What doesn't work is:
- unity lens applications
- fn keys for brightness
- lightdm because it gives me an error in compilation
To be able to compile the packages I had to remove -Werror during compilation of indicator application. I had also to remove the argument with FLOW in unity-lens-music. And I had to downgrade cmake to compile unity. In addition I had to copy some files from ubuntu package to make unity-lens-files to work. It seems that zeitgeist is someway buggy in my distribution.

Offline

#2349 2013-10-14 18:45:40

horsemanoffaith
Member
Registered: 2013-05-10
Posts: 132

Re: Progress on Unity under Arch Linux!

Another reason why I would like to see the updates pushed is I'm not sure of all the files that need to be held back for Gnome 3.8, and when I tried downgrading my system back to Gnome 3.8, I got all of the 3.8 files, but there were things that didn't work. I'm pretty sure there were associated files that got updated, and I have no idea what those files were. Right now, I don't want to update other potions of my system because I don't want to take on ANY of the files from 3.10 and break my desktop system. My laptop system is down until I get the 3.10 updates.

Offline

#2350 2013-10-14 20:22:08

divansantana
Member
Registered: 2011-01-21
Posts: 117

Re: Progress on Unity under Arch Linux!

I'm ok with the updates for 3.10 pushed out. We don't have to update if we don't want to.

Offline

Board footer

Powered by FluxBB